<?php
namespace Ep;

use Zend\Expressive\Flash\FlashMessageMiddleware;
use Zend\Expressive\Session\SessionMiddleware;

return [
    'app' => [
        'development' => false,

        'asset_manifest' => 'public/dist/manifest.json',
        'asset_url' => 'dist',
        'unique_values' => 'middleware',

        'middleware' =>  [
            'app.error_handler',
            'app.base_url',
            SessionMiddleware::class,
            FlashMessageMiddleware::class,
            'app.middleware_bridge',
        ],
    ],

    'log' => [
        'app.logger' => [
            'writers' => [
                'file' => [
                    'name' => 'stream',
                    'options' => [
                        'stream' => 'var/log/app.log',
                        'mode' => 'a+',
                    ],
                ],
                'mail' => [
                    'name' => 'mail',
                    'options' => [
                        'transport' => 'app.mailer',
                        'subject_prepend_text' => 'Greška na %s: ',
                        'mail' => [
                            'from' => 'app@ep.hr',
                            'to' => 'danijel@ep.hr',
                        ],
                    ],
                ]
            ],
        ],
    ],

    'mail' => [
        'transports' => [
            'app.mailer' => [
                'type' => 'sendmail',
            ],
        ],
    ],
];