<?php
namespace Ep\Cache\Adapter;

use Interop\Container\ContainerInterface;
use Symfony\Component\Cache\Adapter\ArrayAdapter;
use Zend\ServiceManager\Factory\FactoryInterface;

/**
 * Stvara novu instancu Array CacheAdaptera.
 *
 * @package Ep\Cache\Adapter
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class ArrayFactory implements FactoryInterface
{
    /**
     * Stvara adapter.
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return ArrayAdapter
     */
    public function __invoke( ContainerInterface $container, $requestedName, array $options = null )
    {
        $options = $options ?? [];

        $defaultLifetime = intval($options['default_lifetime'] ?? 0);
        $storeSerialized = boolval($options['store_serialized'] ?? true);

        return new ArrayAdapter($defaultLifetime, $storeSerialized);
    }
}