<?php
namespace Ep;

use Ep\Config\UniqueValueProcessor;
use Zend\ConfigAggregator\ConfigAggregator;
use Zend\ConfigAggregator\PhpFileProvider;

/**
 * Zajednička konfiguracija.
 *
 * @package Ep
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class ConfigProvider
{
    /**
     * Vraća konfiguraciju.
     *
     * @return array
     */
    public function __invoke(): array
    {
        return (new ConfigAggregator([
            \Ak\View\ConfigProvider::class,
            \Zend\Filter\ConfigProvider::class,
            \Zend\InputFilter\ConfigProvider::class,
            \Zend\Log\ConfigProvider::class,
            \Zend\Validator\ConfigProvider::class,
            \Zend\Expressive\Session\ConfigProvider::class,
            \Zend\Expressive\Session\Ext\ConfigProvider::class,
            \Zend\Expressive\Flash\ConfigProvider::class,

            new PhpFileProvider(__DIR__ . '/../config/*.config.php'),
        ], null, [
            UniqueValueProcessor::class,
        ]))->getMergedConfig();
    }
}