<?php
namespace Ep\EventManager;

use Interop\Container\ContainerInterface;
use Zend\EventManager\EventManager;
use Zend\EventManager\EventManagerInterface;
use Zend\ServiceManager\Factory\FactoryInterface;

/**
 * Kreira novu instancu EventManagera
 *
 * @package Ep\EventManager
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
final class EventManagerFactory implements FactoryInterface
{
    /**
     * Kreira instancu.
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return EventManagerInterface
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $sharedEventManager = $container->get('SharedEventManager');
        return new EventManager($sharedEventManager);
    }
}