<?php
namespace Ep\Expressive\Flash;

/**
 * Predstavlja poruku iz flash messengera.
 *
 * @package Ep\Expressive\Flash
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
final class FlashMessage implements FlashMessageInterface
{
    const ERROR   = 'error';
    const SUCCESS = 'success';

    /** @var string */
    private $message;
    /** @var string */
    private $type;

    /**
     * FlashMessage constructor.
     * @param string $message
     * @param string $type
     */
    public function __construct(string $message, string $type = self::SUCCESS)
    {
        $this->message = $message;
        $this->type = $type;
    }


    /**
     * Vraća vrstu poruke.
     *
     * @return string
     */
    public function getType(): string
    {
        return $this->type;
    }

    /**
     * Vraća samu poruku.
     *
     * @return string
     */
    public function getMessage(): string
    {
        return $this->message;
    }
}