<?php
namespace Ep\Form\Element;

use Ep\View\IconAwareInterface;
use Zend\Form\Element;

class Button extends Element implements IconAwareInterface
{
    /**
     * Seed attributes
     *
     * @var array
     */
    protected $attributes = [
        'type' => 'button',
    ];

    /** @var string */
    protected $icon;

    public function __construct($name = null, array $options = [])
    {
        parent::__construct($name, $options);
    }

    /**
     * @param array|\Traversable $options
     * @return $this|Element|\Zend\Form\ElementInterface
     */
    public function setOptions($options)
    {
        parent::setOptions($options);

        if (isset($options['icon'])) {
            $this->setIcon($options['icon']);
        }

        return $this;
    }

    /**
     * @return string
     */
    public function getIcon(): string
    {
        return (string) $this->icon;
    }

    /**
     * @param string $icon
     */
    public function setIcon(string $icon): void
    {
        $this->icon = (string) $icon;
    }
}