<?php
namespace Ep\Form\View\Helper;

use Zend\Form\ElementInterface;

/**
 * Renderira <input type="checkbox"> element.
 *
 * @package Ep\Form\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class FormCheckbox extends \Zend\Form\View\Helper\FormCheckbox
{
	/**
	 * Renderira element.
	 *
	 * @param ElementInterface $element Checkbox element.
	 *
	 * @return string
	 */
	public function render(ElementInterface $element)
	{
	    $classes = explode(' ', $element->getAttribute('class'));

	    if (false === array_search('form-check-input', $classes)) {
	        $classes[] = 'form-check-input';
	        $element->setAttribute('class', implode(' ', $classes));
        }

        $input = parent::render($element);
	    $esc_html = $this->getEscapeHtmlHelper();

        if ($description = $element->getOption('description')) {
            $input .= sprintf('<span>%s</span>', $esc_html($description));
        }

        $label = sprintf('<label class="form-check-label">%s</label>', $input);

		return sprintf('<div class="form-check">%s</div>', $label);
	}
}