<?php
namespace Ep\Form\View\Helper;

use Zend\Form\ElementInterface;
use Zend\Form\View\Helper\FormCollection as BaseFormCollection;

/**
 * Class FormCollection
 *
 * @package Ep\Form\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class FormCollection extends BaseFormCollection
{
    /**
     * The name of the default view helper that is used to render sub elements.
     *
     * @var string
     */
    protected $defaultElementHelper = 'form_group';

    /**
     * Render a collection by iterating through all fieldsets and elements
     *
     * @param  ElementInterface $element
     * @return string
     */
    public function render(ElementInterface $element)
    {
        $class = explode(' ', $element->getAttribute('class'));
        $class[] = 'form-group';
        $element->setAttribute('class', implode(' ', $class));

        return parent::render($element);
    }
}