<?php
namespace Ep\Form\View\Helper;

use Zend\Form\Element\Checkbox;
use Zend\Form\Element\MultiCheckbox as MultiCheckboxElement;
use Zend\Form\View\Helper\FormMultiCheckbox as BaseFormMultiCheckbox;

/**
 * Renderira MultiCheckbox element.
 *
 * @package Ep\Form\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class FormMultiCheckbox extends BaseFormMultiCheckbox
{
    /** @var FormCheckbox */
    protected $formCheckbox;

    /**
     * @return FormCheckbox
     */
    protected function getFormCheckboxHelper()
    {
        if (null === $this->formCheckbox) {
            $this->formCheckbox = method_exists($this->view, 'plugin')
                ? $this->view->plugin('form_checkbox')
                : new FormCheckbox();
        }
        return $this->formCheckbox;
    }

    protected function renderOptions(
        MultiCheckboxElement $element,
        array $options,
        array $selectedOptions,
        array $attributes
    ) {
        $form_checkbox = $this->getFormCheckboxHelper();
        $rendered = [];

        foreach ($options as $value => $label) {
            $checkbox = new Checkbox($attributes['name'], [
                'description' => $label,
            ]);
            $checkbox->setCheckedValue($value);

            if (in_array($value, $selectedOptions)) {
                $checkbox->setChecked(true);
            }

            $rendered[] = $form_checkbox($checkbox);
        }

        return implode(PHP_EOL, $rendered);
    }
}