<?php
namespace Ep\View\Helper;

use Zend\View\Helper\AbstractHelper;

/**
 * Omogućava pozivanje ViewHelpera kao Twig funkcija.
 *
 * @package Ep\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class TwigBridge extends AbstractHelper
{
    /**
     * Prosljeđuje poziv view helperu.
     */
    public function __invoke()
    {
        if (!method_exists($this->view, 'plugin')) {
            throw new \RuntimeException("Renderer nema pluginove.");
        }

        $args = func_get_args();
        $name = array_shift($args);

        $helper = $this->view->plugin($name);
        return call_user_func_array($helper, $args);
    }
}