<?php
namespace EpTest;

use Ep\Config\UniqueValueProcessor;
use Ep\ConfigProvider;
use PHPUnit\Framework\TestCase;
use Zend\ConfigAggregator\ConfigAggregator;
use Zend\ServiceManager\PluginManagerInterface;

/**
 * Class ConfigTest
 *
 * @package EpTest
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class ConfigTest extends TestCase
{
    use ContainerAwareTrait;

    /**
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     */
    public function testFormElementManagerIsRegistered()
    {
        $container = $this->createContainer();

        $this->assertTrue($container->has('FormElementManager'));
        $this->assertInstanceOf(PluginManagerInterface::class, $container->get('FormElementManager'));
    }

    public function testNoDuplicatedConfigProviders()
    {
        $config = (new ConfigAggregator([
            ConfigProvider::class,
            ConfigProvider::class
        ], null, [
            UniqueValueProcessor::class
        ]))->getMergedConfig();

        $realConfig = include __DIR__ . '/../config/app.config.php';
        $realCount = count($realConfig['app']['middleware']);

        $this->assertCount($realCount, $config['app']['middleware']);
    }
}