<?php
namespace EpTest\EventManager;

use EpTest\ContainerAwareTrait;
use PHPUnit\Framework\TestCase;
use Zend\EventManager\EventManagerInterface;
use Zend\EventManager\SharedEventManager;

/**
 * Class EventManagerFactoryTest
 *
 * @package EpTest\EventManager
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
final class EventManagerFactoryTest extends TestCase
{
    use ContainerAwareTrait;

    public function testSharedEventManagerIsInjected()
    {
        $sharedManager = new SharedEventManager();
        $container = $this->createContainer();
        $container->setService('SharedEventManager', $sharedManager);

        /** @var EventManagerInterface $eventManager */
        $eventManager = $container->get('EventManager');

        $this->assertSame($sharedManager, $eventManager->getSharedManager());
    }
}