<?php
namespace EpTest\Form\View\Helper;

use EpTest\ContainerAwareTrait;
use PHPUnit\Framework\DOMTestTrait;
use PHPUnit\Framework\TestCase;
use Zend\Form\Element\Text;
use Zend\Form\Fieldset;
use Zend\ServiceManager\PluginManagerInterface;
use Zend\View\HelperPluginManager;
use Zend\View\Renderer\RendererInterface;

/**
 * Class FormCollectionTest
 *
 * @package EpTest\Form\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class FormCollectionTest extends TestCase
{
    use ContainerAwareTrait;
    use DOMTestTrait;

    public function testHelperUsesTheProperFormGroupHelper()
    {
        $container = $this->createContainer();
        $container->get(RendererInterface::class);

        /** @var PluginManagerInterface $helpers */
        $helpers = $container->get(HelperPluginManager::class);

        $fieldset = new Fieldset('test');
        $fieldset->add(new Text('test-text'));

        $helper = $helpers->get('form_collection');
        $rendered = $helper($fieldset);

        /** @noinspection PhpParamsInspection */
        $this->assertSelectCount('fieldset.form-group', 1, $rendered);
        /** @noinspection PhpParamsInspection */
        $this->assertSelectCount('div.form-group', 1, $rendered);
    }
}