<?php
namespace EpTest\Form\View\Helper;

use Ep\Form\View\Helper\FormInput;
use EpTest\ContainerAwareTrait;
use PHPUnit\Framework\DOMTestCase;
use Zend\ServiceManager\PluginManagerInterface;
use Zend\View\HelperPluginManager;

/**
 * Class FormInputTest
 *
 * @package EpTest\Form\View\Helper
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class FormInputTest extends DOMTestCase
{
    use ContainerAwareTrait;

    /**
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     */
    public function testHelperIsRegistered()
    {
        $container = $this->createContainer();
        /** @var PluginManagerInterface $helpers */
        $helpers = $container->get(HelperPluginManager::class);

        $this->assertTrue($helpers->has('form_input'));
        $this->assertInstanceOf(FormInput::class, $helpers->get('form_input'));
    }
}