<?php
namespace EpTest\Stdlib;

use Ep\Stdlib\DateTime;
use PHPUnit\Framework\TestCase;

/**
 * Class DateTimeTest
 *
 * @package EpTest\GathRegistration
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/gath-license-server
 */
class DateTimeTest extends TestCase
{
    /**
     * @throws \Exception
     */
    public function testCanConverToOleAutomationDate()
    {
        $data = [
            '1899-12-31 00:00:00' => 1,
            '1900-01-01 06:00:00' => 2.25,
            '1899-12-29 00:00:00' => -1.0,
            '1899-12-29 06:00:00' => -1.25,
            '2018-02-14 14:56:00' => 43145.622222222,
            '1971-04-01 08:30:00' => 26024.354166666,
            '2000-05-05 16:30:45' => 36651.688020833,
            '1997-12-14 20:15:45' => 35778.844270833,
        ];

        foreach ($data as $iso => $ole) {
            $date = new DateTime($iso);
            $this->assertEquals($ole, $date->getOLEAutomationDate(), $iso, 0.000000001);
        }
    }
}